## org.flexdock.docking.state.tree
Class SplitNode

    java.lang.Object
      javax.swing.tree.DefaultMutableTreeNode
          org.flexdock.docking.state.tree.DockingNode
              org.flexdock.docking.state.tree.SplitNode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, javax.swing.tree.MutableTreeNode, javax.swing.tree.TreeNode, DockingConstants, LayoutNode

    public class SplitNode

extends DockingNode
implements DockingConstants

Author:
  Christopher Butler
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.tree.DefaultMutableTreeNode
`allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

Fields inherited from interface org.flexdock.docking.DockingConstants
`ACTIVE_WINDOW, BOTTOM, CENTER, CENTER_REGION, CLOSE_ACTION, DEFAULT_PERSISTENCE_KEY, DOCKING_ID, EAST_REGION, HEAVYWEIGHT_DOCKABLES, HORIZONTAL, LEFT, MOUSE_PRESSED, NORTH_REGION, PERMANENT_FOCUS_OWNER, PIN_ACTION, REGION, RIGHT, SOUTH_REGION, TOP, UNINITIALIZED, UNINITIALIZED_RATIO, UNKNOWN_REGION, UNSPECIFIED_SIBLING_PREF, VERTICAL, WEST_REGION`

Constructor Summary
`SplitNode(int orientation, int region, float percentage, java.lang.String siblingId)`

Method Summary
`java.lang.Object` `clone()`
`java.lang.Object` `getDockingObject()`
`java.lang.String` `getDockingRegion()`
`java.awt.Component` `getLeftComponent()`
`int` `getOrientation()`
`java.lang.String` `getOrientationDesc()`
`float` `getPercentage()`
`int` `getRegion()`
`java.lang.String` `getRegionDesc()`
`java.awt.Component` `getRightComponent()`
`java.lang.String` `getSiblingId()`
`javax.swing.JSplitPane` `getSplitPane()`
`void` `setDockingRegion(java.lang.String dockingRegion)`
`void` `setOrientation(int orientation)`
`void` `setPercentage(float percentage)`
`void` `setRegion(int region)`
`void` `setSiblingId(java.lang.String siblingId)`
`protected DockingNode` `shallowClone()`
`java.lang.String` `toString()`

Methods inherited from class org.flexdock.docking.state.tree.DockingNode
`deepClone, getUserObject`

Methods inherited from class javax.swing.tree.DefaultMutableTreeNode

`add, breadthFirstEnumeration, children, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.flexdock.docking.state.LayoutNode
`add`

Methods inherited from interface javax.swing.tree.MutableTreeNode
`insert, remove, remove, removeFromParent, setParent, setUserObject`

Methods inherited from interface javax.swing.tree.TreeNode
`children, getAllowsChildren, getChildAt, getChildCount, getIndex, getParent, isLeaf`

Constructor Detail

### SplitNode

    public SplitNode(int orientation,
                     int region,
                     float percentage,
                     java.lang.String siblingId)

Method Detail

### getOrientation

    public int getOrientation()

### setOrientation

    public void setOrientation(int orientation)

### getPercentage

    public float getPercentage()

### setPercentage

    public void setPercentage(float percentage)

### getRegion

    public int getRegion()

### setRegion

    public void setRegion(int region)

### getSiblingId

    public java.lang.String getSiblingId()

### setSiblingId

    public void setSiblingId(java.lang.String siblingId)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `javax.swing.tree.DefaultMutableTreeNode`

### getRegionDesc

    public java.lang.String getRegionDesc()

### getOrientationDesc

    public java.lang.String getOrientationDesc()

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `LayoutNode`
  Overrides:
    `clone` in class `DockingNode`

### getDockingRegion

    public java.lang.String getDockingRegion()

### setDockingRegion

    public void setDockingRegion(java.lang.String dockingRegion)

### getDockingObject

    public java.lang.Object getDockingObject()

  Specified by:
    `getDockingObject` in interface `LayoutNode`
  Specified by:
    `getDockingObject` in class `DockingNode`

### getSplitPane

    public javax.swing.JSplitPane getSplitPane()

### getLeftComponent

    public java.awt.Component getLeftComponent()

### getRightComponent

    public java.awt.Component getRightComponent()

### shallowClone

    protected DockingNode shallowClone()

  Specified by:
    `shallowClone` in class `DockingNode`